com.marklogic.xcc.exceptions

## Class JavaScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.marklogic.xcc.exceptions.XccException
      - - com.marklogic.xcc.exceptions.RequestException
        - - com.marklogic.xcc.exceptions.RequestServerException
          - - com.marklogic.xcc.exceptions.QueryException
            - - com.marklogic.xcc.exceptions.JavaScriptException

- All Implemented Interfaces:
    java.io.Serializable

      public class JavaScriptException
      extends QueryException

  A server exception resulting from an error encountered while evaluating JavaScript. Note that some such exceptions are retryable.
  See Also:
    `RequestException.isRetryable()`, `RetryableJavaScriptException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptException(Request request, java.lang.String code, java.lang.String w3cCode, java.lang.String message, java.lang.String formatString, java.lang.String expr, boolean isRetryable, java.lang.String[] data, QueryStackFrame[] stack)`

  - ### Method Summary

    - ### Methods inherited from class com.marklogic.xcc.exceptions.QueryException

      `getCode, getData, getFormatString, getStack, getW3CCode, toString`

    - ### Methods inherited from class com.marklogic.xcc.exceptions.RequestException

      `appendRequestInfo, getRequest, isRetryable, isRetryAdvised`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptException

          public JavaScriptException(Request request,
                                     java.lang.String code,
                                     java.lang.String w3cCode,
                                     java.lang.String message,
                                     java.lang.String formatString,
                                     java.lang.String expr,
                                     boolean isRetryable,
                                     java.lang.String[] data,
                                     QueryStackFrame[] stack)

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com